For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get price details

Get details for a price.

get
/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/{priceUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
pricelistUidstringRequired

Reference to a Pricelist.

Pattern: ^[A-Za-z0-9-_]+
priceUidstringRequired

Reference to a Price.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
fromDatestring · date-timeRequired
toDatestring · date-timeRequired
priceintegerRequired
priceUidstringRequiredPattern: ^[A-Za-z0-9-_]+
pricelistUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productExternalIdstringRequired
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productNamestringRequired
productRecommendedRetailPriceinteger · nullableRequired
productSkustringRequired
get/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/{priceUid}
GET /v2/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/{priceUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "fromDate": "2026-01-01T00:00:00.000Z",
  "toDate": "2026-01-01T00:00:00.000Z",
  "price": 1,
  "priceUid": "text",
  "pricelistUid": "text",
  "productExternalId": "text",
  "productUid": "text",
  "productName": "text",
  "productRecommendedRetailPrice": 1,
  "productSku": "text",
  "brand": {
    "brandUid": "text",
    "name": "text"
  },
  "productGroup": {
    "productGroupUid": "text",
    "name": "text",
    "path": [
      {
        "name": "text",
        "parentUid": "text",
        "productGroupUid": "text"
      }
    ]
  }
}

Last updated

Was this helpful?